
From: NeilBrown <neilb@cse.unsw.edu.au>

Minor trivial cleanup, mostly whitespace.

Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/nfsd/nfs4proc.c  |    3 +--
 25-akpm/fs/nfsd/nfs4state.c |   19 +++++++++----------
 2 files changed, 10 insertions(+), 12 deletions(-)

diff -puN fs/nfsd/nfs4proc.c~nfsd4-miscellaneous-open-cleanup fs/nfsd/nfs4proc.c
--- 25/fs/nfsd/nfs4proc.c~nfsd4-miscellaneous-open-cleanup	2005-03-07 23:55:23.000000000 -0800
+++ 25-akpm/fs/nfsd/nfs4proc.c	2005-03-07 23:55:23.000000000 -0800
@@ -117,7 +117,6 @@ do_open_lookup(struct svc_rqst *rqstp, s
 
 		/* set reply cache */
 		fh_dup2(current_fh, &resfh);
-		/* XXXJBF: keep a saved svc_fh struct instead?? */
 		open->op_stateowner->so_replay.rp_openfh_len =
 			resfh.fh_handle.fh_size;
 		memcpy(open->op_stateowner->so_replay.rp_openfh,
@@ -153,7 +152,7 @@ do_open_fhandle(struct svc_rqst *rqstp, 
 		current_fh->fh_handle.fh_size);
 
 	open->op_truncate = (open->op_iattr.ia_valid & ATTR_SIZE) &&
-	!open->op_iattr.ia_size;
+		(open->op_iattr.ia_size == 0);
 
 	status = do_open_permission(rqstp, current_fh, open);
 
diff -puN fs/nfsd/nfs4state.c~nfsd4-miscellaneous-open-cleanup fs/nfsd/nfs4state.c
--- 25/fs/nfsd/nfs4state.c~nfsd4-miscellaneous-open-cleanup	2005-03-07 23:55:23.000000000 -0800
+++ 25-akpm/fs/nfsd/nfs4state.c	2005-03-07 23:55:23.000000000 -0800
@@ -1465,18 +1465,17 @@ nfsd4_process_open1(struct nfsd4_open *o
 		/* check for replay */
 		if (open->op_seqid == sop->so_seqid){
 			if (!sop->so_replay.rp_buflen) {
-			/*
-			* The original OPEN failed in so spectacularly that we
-			* don't even have replay data saved!  Therefore, we
-			* have no choice but to continue processing
-			* this OPEN; presumably, we'll fail again for the same
-			* reason.
-			*/
-				dprintk("nfsd4_process_open1: replay with no replay cache\n");
+				/* The original OPEN failed so spectacularly
+				 * that we don't even have replay data saved!
+				 * Therefore, we have no choice but to continue
+				 * processing this OPEN; presumably, we'll
+				 * fail again for the same reason.
+				 */
+				dprintk("nfsd4_process_open1:"
+					" replay with no replay cache\n");
 				status = NFS_OK;
 				goto renew;
 			}
-			/* replay: indicate to calling function */
 			status = NFSERR_REPLAY_ME;
 			return status;
 		}
@@ -1488,7 +1487,7 @@ nfsd4_process_open1(struct nfsd4_open *o
 			status = nfserr_bad_seqid;
 			goto out;
 		}
-		/* If we get here, we received and OPEN for an unconfirmed
+		/* If we get here, we received an OPEN for an unconfirmed
 		 * nfs4_stateowner. 
 		 * Since the sequid's are different, purge the 
 		 * existing nfs4_stateowner, and instantiate a new one.
_
